Skip to main content
POST
/
v1
/
events
/
search
Search events
curl --request POST \
  --url https://api.metronome.com/v1/events/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transactionIds": [
    "2021-01-01T00:00:00Z_cluster42"
  ]
}
'
import requests

url = "https://api.metronome.com/v1/events/search"

payload = { "transactionIds": ["2021-01-01T00:00:00Z_cluster42"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transactionIds: ['2021-01-01T00:00:00Z_cluster42']})
};

fetch('https://api.metronome.com/v1/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "transaction_id": "2021-01-01T00:00:00Z_cluster42",
    "customer_id": "team@example.com",
    "event_type": "heartbeat",
    "timestamp": "2021-01-01T00:00:00Z",
    "properties": {
      "cluster_id": "42",
      "cpu_seconds": 60,
      "region": "Europe"
    },
    "processed_at": "2021-01-01T00:00:05Z",
    "is_duplicate": false,
    "matched_customer": {
      "id": "98765432-10fe-cba9-8765-432109876543",
      "name": "Acme Corp"
    },
    "matched_billable_metrics": [
      {
        "id": "8deed800-1b7a-495d-a207-6c52bac54dc9",
        "name": "CPU Hours"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Search events request

transactionIds
string[]
required

The transaction IDs of the events to retrieve

Response

200 - application/json

Success

id
string
required
customer_id
string
required

The ID of the customer in the ingest event body

event_type
string
required
timestamp
string<date-time>
required
transaction_id
string
required
properties
object
is_duplicate
boolean
processed_at
string<date-time>
matched_customer
object

The customer the event was matched to if a match was found

matched_billable_metrics
object[]